Game.registerMod("zoomkey",{
	init:function(){
        var zoomAmount = 1;
	    canvases = document.querySelectorAll('canvas')
        addEventListener("keydown", function(event) {
            if ((event.keyCode == 107 && event.ctrlKey) || (event.keyCode == 187 && event.ctrlKey)){
                zoomAmount= Math.min(5, zoomAmount + 0.1);
                document.body.style.zoom = zoomAmount;
                resetCanvases()
                zoomNotify()
            }
        });
        addEventListener("keydown", function(event) {
            if ((event.keyCode == 109 && event.ctrlKey) || (event.keyCode == 189 && event.ctrlKey)){
                zoomAmount=Math.max(0.1 ,zoomAmount-0.1);
                document.body.style.zoom=zoomAmount;
                resetCanvases()
                zoomNotify()
            }
        });
        addEventListener("keydown", function(event) {
            if ((event.keyCode == 48 && event.ctrlKey) || (event.keyCode == 45 && event.ctrlKey)){
                zoomAmount = 1;
                document.body.style.zoom=zoomAmount;
                resetCanvases()
                zoomNotify()
            }
        });
        let resetCanvases = function(){
            for(var i=0; i<canvases.length; i++){
                canvases[i].width = canvases[i].parentElement.offsetWidth;
                canvases[i].height = canvases[i].parentElement.clientHeight;
            }
        }
        let zoomNotify = function(){
            Game.Notify('Zoom Level:', zoomAmount*100 + '%', [],1.5)
        }
		Game.Notify(`Zoom Enabled`,'',[16,5]);
	},
	save:function(){
		//use this to store persistent data associated with your mod
	},
	load:function(str){
		//do stuff with the string data you saved previously
	},
});




